
export default [
  {
    url: '/main/index.do',
    response: ({ query }) => {
      const signDay = Math.random() * 7 >> 0;
      return {
        success: true,
        code: "",
        message: "",
        timeStamp: Date.now(),
        data: {
          actStartTime: Date.now() - 1000000,
          actEndTime: Date.now() + 1000000,
          currentTime: Date.now(),
          guideFlag: true,
          creditsNum: 923,
          expireDays: 7,
          currentStoreNum: 1000,
          storeLimitNum: 1000,
          continueSignDays: 3,
          todaySignFlag: false,
          signRecords: new Array(7).fill(1).map((_, index) => {
            return {
              id: index,
              day: index + 1,
              creditsNum: 100 + Math.random() * 100 >> 0,
              boolSign: index < signDay,
            }
          }),
          overflowBubble: {
            creditsNum: 700,
            expireTime: 1747819895773,
            id: 218093371,
          },
          bubbleRecords: new Array(1 + (Math.random() * 4 >> 0)).fill(1).map((_, index) => {
            return {
              id: index,
              creditsNum: 100 + Math.random() * 100 >> 0,
              expireTime: Date.now() + 10000 + (Math.random() * 10 >> 0) * 1000,
              type: 1 + Math.random() * 2 >> 0,
            }
          }),
          returnAwardCreditsNum: 0,
          downGoldVo: {
            creditsNum: 100,
            multipleValue: 5,
            taskId: "5555555",
            url: "urlurlurlurlurlurl",
          },
          downGoldVo: null,
        }
      }
    },
  },
  {
    url: '/main/completeGuide.do',
    response: ({ query }) => {
      return {
        success: true,
        code: "",
        message: "",
        data: {
          creditsNum: 100,
        },
      }
    },
  },
  {
    url: '/main/sign.do',
    response: ({ query }) => {
      return {
        success: true,
        code: "",
        message: "",
        data: {
          signCredits: 100,
          extraCredits: 100,
          boolLimit: true,
          vipLevel: 3,
          multipleValue: 3,
          url: "urlurlurlurlurl",
          taskId: "taskId",
          newLuckCreditsNum: 33,
        },
      }
    },
  },
  {
    url: '/main/receiveBubble.do',
    response: ({ query }) => {
      return {
        success: true,
        code: "",
        message: "",
        data: {
          creditNum: 888,
        }
      }
    },
  },
  {
    url: '/main/startVideo.do',
    response: ({ query }) => {
      return {
        success: true,
        code: "",
        message: "",
        data: {
          creditNum: 888,
        }
      }
    },
  },
]
